<template>
    <div class="app-container">
<!--      <van-nav-bar-->
<!--        left-arrow-->
<!--        fixed-->
<!--        placeholder-->
<!--        @click-left="$router.back(-1)"-->
<!--        @click-right="goAdd()"-->
<!--      >-->
<!--        <template #title>-->
<!--          <p style="font-weight: bold;">备付金支出申请列表</p>-->
<!--        </template>-->
<!--        <template #right>-->
<!--          <van-icon name="add" size="18"/>-->
<!--        </template>-->
<!--      </van-nav-bar>-->

      <div class="header_main">
        备付金支出申请列表
        <div class="return_btn" @click="onClickLeft"></div>
        <div class="add_btn" @click="goAdd"></div>
      </div>

      <van-list
        v-model="loading"
        :finished="finished"
        finished-text="没有更多了"
        @load="getList"
      >
        <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
          <van-cell :title="item.payer" :value="item.auditStatus" center :to="{name:'sunVillageApprovalDetail11', query: {id:item.id}}">
            <template #icon>
              <van-icon name="../../../../../static/images/onlineHome/icon_yn7.png" size="30" color="#539FFD" style="margin-right: 10px;" />
            </template>
            <template #label>
              <p><span><i>￥</i>{{stateFormat(item.expenditureAmount)}}</span><i style="margin-right: 1rem;"></i>{{item.applyDate}}</p>
            </template>
          </van-cell>
          <template #right>
            <van-row>
              <van-col>
                <van-button v-if="item.auditStatus=='草稿'||item.auditStatus=='驳回'" square text="修改" type="info" :to="{name:'sunVillageApprovalModify11', query: {id:item.id}}" class="delete-button" />
              </van-col>
              <van-col>
                <van-button v-if="item.auditStatus=='草稿'||item.auditStatus=='驳回'" color="#FFA63E" square text="提交" type="info" @click="onSubmit(item.id)" class="delete-button" />
              </van-col>
              <van-col>
                <van-button v-if="item.auditStatus=='草稿'||item.auditStatus=='驳回'" square text="删除" type="danger" @click="deleteList(item.id,index)" class="delete-button" />
              </van-col>
              <van-col>
                <van-button v-if="item.auditStatus=='待审'" square text="撤回" type="danger" @click="cancelApply(item)" class="delete-button" />
              </van-col>
            </van-row>
          </template>
        </van-swipe-cell>
      </van-list>
    </div>
</template>

<script>
import { listTransfer , customSubmit , delTransfer } from "@/api/onlineHome/bankAgriculture/paymentApproval";
import {cashSubmit, delCash, listCash} from "../../../../api/onlineHome/bankAgriculture/paymentApproval";
export default {
  name: "approvalList11",
  data() {
    return {
      applicationList:[],
      auditStatusOptions:[],
      loading: false,
      finished: false,
      queryParams:{
        pageNum:1,
        pageSize:10,
        cashType: '11',
      },
      form:{}
    };
  },
  created() {
    this.getDicts("audit_status").then((response) => {
      this.auditStatusOptions = response.data;
    });
  },
  methods: {
    //金额千分符 会在整数后添加两个0
    stateFormat(cellValue) {
      if (cellValue) {
        return Number(cellValue)
          .toFixed(2)
          .replace(/(\d)(?=(\d{3})+\.)/g, ($0, $1) => {
            return $1 + ",";
          })
          .replace(/\.$/, "") + "元";
      }
    },
    goAdd(){
      window.location = 'approvalAdd11';
    },
    getList(){
      setTimeout(() => {
        listCash(this.queryParams).then(response => {
          console.log(response)
          for (var i = 0; i < response.rows.length; i++) {
            response.rows[i].auditStatus = this.selectDictLabel(this.auditStatusOptions, response.rows[i].auditStatus);
            this.applicationList.push(response.rows[i]);
          }
          console.log(this.applicationList.length >= response.total)
          if(this.applicationList.length >= response.total){
            this.finished = true;
            return;
          }else{
            this.loading = false;
            this.queryParams.pageNum += 1 ;
          }
        });
      }, 1000);
    },
    deleteList(id,index){
      this.$dialog.confirm({
        message: '您确认删除草稿？',
      })
      .then(() => {
        // on confirm
        this.applicationList.splice(index,1)
        delCash(id).then(res => {
          if(res.code = 200){
            this.$toast.success('删除成功');
          }
        });
      })
      .catch(() => {
        // on cancel
      });
    },
    onSubmit(id){
      this.$dialog.confirm({
        message: '您确认提交草稿？',
      })
      .then(() => {
        cashSubmit(id).then(res => {
          this.$toast.success('提交成功');
          setTimeout(function(){
            history.go(0)
          },2000)
        })
      })
      .catch(() => {
        // on cancel
      });
    },
    cancelApply(row) {
      console.log(row)
      const instanceId = row.instanceId;
      this.form.id = row.id;
      this.form.auditStatus = "0";
      this.form.applyUserId = "";
      this.form.applyUserName = "";
      this.form.applyTime = "";
      this.form.instanceId = "";
      this.form.processKey = "";
      let that = this;
      this.$dialog.confirm({
        message: '您确认撤回待审数据？',
      })
        .then(function () {
          return updateTYinnongTransferFoStatus(that.form).then(response => {
            setTimeout(function(){
              history.go(0)
            },2000)
            that.$toast.success('撤回成功');
          });
        })
    },
  },
}
</script>

<style scoped lang="scss">
  .app-container {
    .header_main{
      height: 116px;
      background: url('../../../../assets/images/sunVillage_info/list_head.png') no-repeat;
      background-size: 100% 100%;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      font-size: 36px;
      line-height: 116px;
      text-align: center;
      color: #fff;
      position: relative;
      .return_btn{
        width: 24px;
        height: 43.2px;
        background: url('../../../../assets/images/sunVillage_info/list_icon_5.png') center center no-repeat;
        background-size: 20px 36px;
        position: absolute;
        left: 38px;
        top: 36px;
      }
      .add_btn{
        width: 56.4px;
        height: 40.8px;
        background: url('../../../../assets/images/sunVillage_info/list_icon_9.png') center center no-repeat;
        background-size: 47px 34px;
        position: absolute;
        right: 38px;
        top: 36px;
      }
    }
  }
  /deep/.van-list{
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 0.7;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;

  }
  /deep/.van-cell__label span{
    color: #1D6FE9;
    font-weight: bold;
    i{
      font-size: 0.2rem;
    }
  }
  /deep/.van-cell__value{
    flex: 0.3;
    color: #1D6FE9;
    font-weight: bold;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
  .delete-button {
    height: 100%;
  }
</style>
